{#
/**
 * @file
 * Default theme implementation for a field.
 *
 * To override output, copy the "field.html.twig" from the templates directory
 * to your theme's directory and customize it, just like customizing other
 * Drupal templates such as page.html.twig or node.html.twig.
 *
 * Instead of overriding the theming for all fields, you can also just override
 * theming for a subset of fields using
 * @link themeable Theme hook suggestions. @endlink For example,
 * here are some theme hook suggestions that can be used for a field_foo field
 * on an article node type:
 * - field--node--field-foo--article.html.twig
 * - field--node--field-foo.html.twig
 * - field--node--article.html.twig
 * - field--field-foo.html.twig
 * - field--text-with-summary.html.twig
 * - field.html.twig
 *
 * Available variables:
 * - attributes: HTML attributes for the containing element.
 * - label_hidden: Whether to show the field label or not.
 * - title_attributes: HTML attributes for the title.
 * - label: The label for the field.
 * - multiple: TRUE if a field can contain multiple items.
 * - items: List of all the field items. Each item contains:
 *   - attributes: List of HTML attributes for each item.
 *   - content: The field item's content.
 * - entity_type: The entity type to which the field belongs.
 * - field_name: The name of the field.
 * - field_type: The type of the field.
 * - label_display: The display settings for the label.
 *
 * @see template_preprocess_field()
 *
 * @ingroup themeable
 */
#}
{%
  set title_classes = [
    label_display == 'visually_hidden' ? 'visually-hidden',
  ]
%}
<div class="banner-style-01">
    <div class="banner-slider">
    {% for item in data %}
          <div>
        <div class="banner__bg d-flex align-items-center" style="{{ item.style }}">
                <div class="container-fluid px-5">
                    <div class="banner-content">
                        <h3 class="subtitle" data-animation-in="fadeInLeft">30% OFF</h3>
                        <h2 class="title" data-animation-in="fadeInRight">FAVOURITE CLOTHING</h2>
                        <div class="margin-top-50 pl-1">
                            <div class="btn-wrapper" data-animation-in="fadeInDown">
                                <a class="btn btn-white" href="#">GET COLLECTION <i class="icon-arrow-buttom"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}
</div>
</div>